Subject: Re: bug#16278: 24.3.50; Crashes in GC continue

From: Stefan Monnier <[email-masked]>
Date: Mon, 30 Dec 2013 08:29:28 -0500

severity 16278 important
thanks

> Why create that symbol?  Why not use an interned symbol?  A comment
> says that nested temporary maps don't work anyway.

Actually, the code (and the comment) has recently been changed to make
nesting work.  Oh wait, I see I haven't committed it yet.  Should be
there real soon, tho.

> Of course, the real bug is in GC.  The Lisp code is correct and it
> ought to work.  But I don't understand the GC bug, and no one else
> is fixing it.

I think it's important to fix this bug, and much better than to try and
work around it (without knowing if that workaround actually works).

        Stefan